/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package beans;

import entities.DepositoCuentaCorriente;
import java.util.List;
import javax.ejb.Local;

/**
 *
 * @author ryuuji
 */
@Local
public interface DepositoCuentaCorrienteFacadeLocal {

  void create(DepositoCuentaCorriente depositoCuentaCorriente);

  void edit(DepositoCuentaCorriente depositoCuentaCorriente);

  void remove(DepositoCuentaCorriente depositoCuentaCorriente);

  DepositoCuentaCorriente find(Object id);

  List<DepositoCuentaCorriente> findAll();

  List<DepositoCuentaCorriente> findRange(int[] range);

  int count();
  
}
